Users with privileges in a specific environment cannot access hosts in a hostgroup even if they have

view permissions globally

07/29/2013 03:38 PM - Sam Kottler
Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Create a filter for users based on a fact (environment in this case)

2. The user now can't see any hostgroups, despite having permissions to view/edit them

3. When the restricted user create a new hostgroup they subsequently can't see any hosts

History

#1 - 07/30/2013 05:17 PM - Scott Darone

This also extends to using organizations as a limiter for users rather than environment.

In this scenario, a user with the correct permission set cannot edit existing hostgroups, the result is a 404

Started GET "/hostgroups/18-hostgroup-parent-base/edit" for <ip> at 2013-07-30 14:17:42 +0000

Processing by HostgroupsController#edit as HTML

  Parameters: {"id"=>"18-hostgroup-parent-base"}

  Rendered common/404.html.erb within layouts/application (1.0ms)

  Rendered home/_user_dropdown.html.erb (0.9ms)

Read fragment views/tabs_and_title_records-3 (0.1ms)

  Rendered home/_topbar.html.erb (1.4ms)

Completed 404 Not Found in 25ms (Views: 6.8ms | ActiveRecord: 9.2ms)

 Alternatively if that user creates a new hostgroup, all previously visible hosts are removed until that newly created hostgroup is destroyed.

#2 - 09/16/2013 12:05 PM - Lukas Zapletal

- Description updated

- Target version changed from 1.3.0 to 1.4.0

#3 - 10/16/2013 03:41 PM - Greg Sutcliffe

- Target version deleted (1.4.0)
